package com.hisense.hiaposcmp.auth.constant;

import android.os.Environment;

import java.io.File;

/**
 * 配置全局参数
 * Created by zhuguangsheng on 2018/7/30.
 */

public class ConfigConstants {

    private static String configRootDirInSdcard = "com/hisense/hiaposcmp/auth";
    private static String sdcardDir = Environment.getExternalStorageDirectory().getAbsolutePath();

    /**
     * 绝对路径
     */
    private static String absConfigRootDir = sdcardDir + File.separator + configRootDirInSdcard;

    private static String configFileName = "default.cfg";

    public static String getConfigRootDirInSdcard() {
        return configRootDirInSdcard;
    }

    public static void setConfigRootDirInSdcard(String configRootDirInSdcard) {
        ConfigConstants.configRootDirInSdcard = configRootDirInSdcard;
        //refresh absConfigRootDir
        absConfigRootDir = sdcardDir + File.separator + configRootDirInSdcard;
    }

    public static void setConfigFileName(String configFileName) {
        ConfigConstants.configFileName = configFileName;
    }

    public static String getConfigFileName() {
        return configFileName;
    }

    public static String getAbsConfigRootDir() {
        return absConfigRootDir;
    }

    public static void setAbsConfigRootDir(String absConfigRootDir) {
        ConfigConstants.absConfigRootDir = absConfigRootDir;
    }

    public static String getAbsConfigFileName(){
        return absConfigRootDir + File.separator + configFileName;
    }
}
