package com.hisense.hiaposcmp.constant;

/**
 * EventBus所用的action的所有类型
 * Created by zhuguangsheng on 2018/5/9.
 */

public enum EventActions {

    /**
     * 默认的action
     */
    DEFAULT,

    /**
     * 手工录入条码完成
     */
    ON_MANUAL_BARCODE_INPUT_COMPLETE,

    /**
     * 获取到授权
     */
    ON_MANUAL_PERMISSION_INPUT_COMPLETE,

    /**
     * 扫码后获取条码信息
     */
    SCAN_GOT_BARCODE,

    /**
     * 会员登录成功
     */
    ON_VIP_LOGIN,

    /**
     * 非会员登录成功
     */
    ON_NO_VIP_LOGIN,
}
