package com.hisense.hiaposcmp.constant;

import android.os.Environment;


/**
 * SD卡资源 常量
 *
 * @author dukunbiao(null) 2018-05-22
 */
public class SDCardConstants {

    //资源根目录
    private static final String SSPOS_PATH = Environment.getExternalStorageDirectory() + "/SSPOS";

    //AliPay rsa_private_key.pem
    public static final String SSPOS_PRIVATE_KEY_PATH = SSPOS_PATH + "/AliPay/rsa_private_key.pem";

    //扫描商品
    public static final String SSPOS_SCAN_PLU_PATH = SSPOS_PATH + "/Audio/scan_plu.mp3";
    //支付宝支付
    public static final String SSPOS_ALI_PAY_PATH = SSPOS_PATH + "/Audio/ali_pay.mp3";

    public static final String BGM_TAG = "bgm";
    public static final String BGM_SCAN_PLU = "scan_plu";
    public static final String BGM_ALI_PAY = "ali_pay";

    public static final String BGM_UART_SCANNER = "scan_beep";

    public static final String SAVE_TXT_FILE_TAG = "1";
    public static final String PRINTER_BILL_PATH = Environment.getExternalStorageDirectory() + "/print_bill.txt";

    public static final String SSPOS_LOGO_PATH = Environment.getExternalStorageDirectory() + "/logo.png";

    public static final String SSPOS_VIDEO_PATH = Environment.getExternalStorageDirectory() + "/video.mp4";


}
