/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print;


import com.hisense.hiaposcmp.print.bean.BasePrintBean;

import java.util.List;

/*******************************************************************************
 * 功能说明：内容引擎。
 *           用来组织生成待打印的数据。
 * 版权说明：青岛海信智能商用系统有限公司  版权所有
 * 创建：guanguangjin 2017-02-04
 * 修改：
 ******************************************************************************/

public interface IContentEngine {

    /**
     * 生成待打印的数据
     * @param templateContent 打印模板数据，没有模板传null
     * @param bean 打印单元对象
     * @param type 打印类型
     * @return 待打印的字符串列表
     */
    List<String> getContentNeedPrint(String templateContent, BasePrintBean bean, IPrintService.PrtPatternType type);
}
