/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print.anno;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 注解标签，关联打印模板中的变量和业务数据Bean中的属性
 *
 * @author guanguangjin 2017-02-05
 */
@Documented
@Target({ElementType.TYPE, ElementType.FIELD, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface PrtPatternAnno {

    /**
     * 模板中的变量名称（必填）
     * @return
     *
     * @author guanguangjin 2017-02-05
     */
    String key();

    /**
     * 未来兼容综合前台打印模板中的变量（可选）
     * @return
     *
     * @author guanguangjin 2017-02-05
     */
    String alias() default "";
}
