/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print.bean;

import com.hisense.hiaposcmp.print.anno.PrtPatternAnno;

/**
 * 礼品券信息Bean
 *
 * @author guolina     2018-11-14
 * @author wangyaogang 2019-06-24 HIPOSAPP-1090 增加方案名称,打印时间字段
 */
public class GiftCouponPrintBean extends BasePrintBean {

    //方案名称
    private String couponName;
    // 券号
    private String giftNo;
    // 赠券张数
    private String giftCount;
    // 礼品名称
    private String giftName;
    // 开始日期
    private String giftBeginDate;
    // 截止日期
    private String giftEndDate;

    // 是否打印
    private boolean giftIsPrint;
    // 备注
    private String giftRemark;

    //打印时间
    private String printTime;

    /*************************** getter and setter ****************************/
    @PrtPatternAnno(key = "couponName")
    public String getCouponName() {
        return couponName;
    }

    public void setCouponName(String couponName) {
        this.couponName = couponName;
    }

    @PrtPatternAnno(key = "printTime")
    public String getPrintTime() {
        return printTime;
    }

    public void setPrintTime(String printTime) {
        this.printTime = printTime;
    }

    @PrtPatternAnno(key = "giftName")
    public String getGiftName() {
        return giftName;
    }

    public void setGiftName(String giftName) {
        this.giftName = giftName;
    }

    @PrtPatternAnno(key = "giftNo")
    public String getGiftCouponNo() {
        return giftNo;
    }

    public void setGiftCouponNo(String giftNo) {
        this.giftNo = giftNo;
    }

    @PrtPatternAnno(key = "giftCount")
    public String getGiftCouponCount() {
        return giftCount;
    }

    public void setGiftCouponCount(String giftCount) {
        this.giftCount = giftCount;
    }

    public boolean isGiftPrintable() {
        return giftIsPrint;
    }

    public void setGiftPrintable(boolean giftIsPrint) {
        this.giftIsPrint = giftIsPrint;
    }

    @PrtPatternAnno(key = "giftBeginDate")
    public String getGiftBeginDate() {
        return giftBeginDate;
    }

    public void setGiftBeginDate(String giftBeginDate) {
        this.giftBeginDate = giftBeginDate;
    }

    @PrtPatternAnno(key = "giftEndDate")
    public String getGiftEndDate() {
        return giftEndDate;
    }

    public void setGiftEndDate(String giftEndDate) {
        this.giftEndDate = giftEndDate;
    }

    @PrtPatternAnno(key = "giftRemark")
    public String getGiftRemark() {
        return giftRemark;
    }

    public void setGiftRemark(String giftRemark) {
        this.giftRemark = giftRemark;
    }
}
