/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print.bean;

import com.hisense.hiaposcmp.print.anno.PrtPatternAnno;

/**
 * 海信支付淘鲜达返回券Bean，用于打印数据单元
 *
 * @author guolina      2020-04-29
 */
public class HxPayCouponPrintBean extends BasePrintBean {

    private String couponType;      //文本定义
    private String couponValue;     //打印内容
    private String couponTag;  //文本大小
    private String couponAlign;     //对齐方式



    /*************************** getter and setter ****************************/
    @PrtPatternAnno(key = "couponType")
    public String getCouponType() {
        return couponType;
    }

    public void setCouponType(String couponType) {
        this.couponType = couponType;
    }

    @PrtPatternAnno(key = "couponValue")
    public String getCouponValue() {
        return couponValue;
    }

    public void setCouponValue(String couponValue) {
        this.couponValue = couponValue;
    }

    @PrtPatternAnno(key = "couponTag")
    public String getCouponTag() {
        return couponTag;
    }

    public void setCouponTag(String couponTag) {
        this.couponTag = couponTag;
    }

    @PrtPatternAnno(key = "couponAlign")
    public String getCouponAlign() {
        return couponAlign;
    }

    public void setCouponAlign(String couponAlign) {
        this.couponAlign = couponAlign;
    }
}
