package com.hisense.hiaposcmp.print.bean;

import com.hisense.common.util.StringUtils;
import com.hisense.hiaposcmp.print.anno.PrtPatternAnno;

/**
 * 打印商品优惠单元Bean。
 *
 * @author xieliyan 2018-12-10
 */
public class SalePluDscPrintBean {

    private double pluDscTotal;          //优惠金额
    private String pluDscName;            //优惠名称
    private String pluCode;                //商品编码
    private String pluDscPrice;
    private String itemNo;

    @PrtPatternAnno(key = "pluDscTotal")
    public String getPluDsc() {
        return StringUtils.doubleFormat(pluDscTotal);
    }

    public void setPluDscTotal(double pluDscTotal) {
        this.pluDscTotal = pluDscTotal;
    }

    public void setPluDscTotal(String pluDscTotal) {
        this.pluDscTotal = Double.valueOf(pluDscTotal);
    }

    @PrtPatternAnno(key = "pluDscName")
    public String getPluDscName() {
        return pluDscName;
    }

    public void setPluDscName(String pluDscName) {
        this.pluDscName = pluDscName;
    }

    @PrtPatternAnno(key = "pluDscCode")
    public String getPluCode() {
        return pluCode;
    }

    public void setPluCode(String pluCode) {
        this.pluCode = pluCode;
    }

    public String getPluDscPrice() {
        return pluDscPrice;
    }

    public void setPluDscPrice(String pluDscPrice) {
        this.pluDscPrice = pluDscPrice;
    }

    @PrtPatternAnno(key = "itemNo")
    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }
}
