/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print.engine;

import com.hisense.hiaposcmp.print.bean.SalePrintBean;
import com.hisense.hipos.template.models.PrintTemplateType;

import java.util.List;

/**
 * 模板引擎接口
 *
 * @author guanguangjin 2017-02-04
 * @author zhangsai     2017-10-24
 */
public interface ITemplateEngine {

    /**
     * 生成待打印的数据
     * @param template  打印模板数据，没有模板传null
     * @param bean      打印单元对象
     * @param type      打印类型
     * @return 待打印的字符串列表
     */
    List<String> getPrintContent(String template, SalePrintBean bean, PrintTemplateType type);
}
