package com.hisense.hiaposcmp.view.IView.pay;

import android.os.Bundle;

import com.hisense.hiaposcmp.view.IView.IBaseView;
import com.hisense.hipos.model.SalePayModel;

/**
 * @author liaoyuping on 2018/7/3.
 * @author dukunbiao(null)  2019-07-24  重构
 */
public interface IPayView extends IBaseView {

    void whenPayDone();

    void gotoScanActivity();

    void afterPaySuccess(Bundle bundle);

    void afterPayFailure(String msg);

    void gotoCouponUseActivity();

    void gotoScrmCouponActivity();

    void gotoCardPayActivity();

    void gotoPointsPayActivity();

    void gotoOtherPayActivity();

    void gotoPayChannel(String totalPaid);

    void updateTotal();

    void paySuccess(SalePayModel payModel);

    void gotoCancelPayChannel(SalePayModel payModel);

    void cancelPaySuccess(SalePayModel payModel);

    void cancelPayError();

    void cancelPayFinish();

    //把付款界面的isClickPay 重置为false （仅仅支付宝（竖屏自助、横屏自助）、微信（目前只有竖屏）需要实现）
    void setIsClickPayFalse();
}
