package com.hisense.hiaposcmp.view.IView.query;

import com.hisense.crm.card.Card;
import com.hisense.crm.card.VipCard;
import com.hisense.crm.vip.VerifyType;
import com.hisense.hiaposcmp.view.IView.IBaseView;

/**
 * 查询模块下 储值卡,积分查询
 *
 * @author wangyaogang 2019-10-12
 */
public interface ICardAndPointsQueryView extends IBaseView {
    /**
     * 验证接口查询成功
     *
     * @param verifyType
     */
    void verifySuccess(VerifyType verifyType);

    /**
     * 查询储值卡成功
     *
     * @param card
     */
    void queryCardSuccess(Card card);

    /**
     * 查询积分成功
     *
     * @param card
     */
    void queryPointsSuccess(VipCard card);

    /**
     * @param msg
     */
    void showErrorMsg(String msg);
}
