package com.hisense.common.boot;

/**
 * 迭代器回调方法接口。
 *
 * @author zhangsai 2018-12-25
 */
public interface IteratorCallback {

    /**
     * 当迭代器存在下一个对象时执行的方法。
     *
     * @param callback 迭代器回调方法的实例
     */
    void onNext(IteratorCallback callback);

    /**
     * 当迭代器完成迭代时执行的方法。
     */
    void onFinish();
}
