/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.card;

/**
 * 购买储值卡请求数据 - 购买明细
 *
 * @author lizhixin 2019-04-08 HIORP-130
 */
public class CardBuyItemRequestData {


    /**
     * 卡类型编码
     */
    public String cardTypeCode;

    /**
     * 卡面额
     */
    public String cardFaceValue;

    /**
     * 购买数量
     */
    public String amount;

    /**
     * 折扣金额
     */
    public String dscTotal;

    /**
     * 总金额
     */
    public String total;

    public CardBuyItemRequestData() {
    }

    public CardBuyItemRequestData(String cardTypeCode, String cardFaceValue, String amount, String dscTotal, String total) {
        this.cardTypeCode = cardTypeCode;
        this.cardFaceValue = cardFaceValue;
        this.amount = amount;
        this.dscTotal = dscTotal;
        this.total = total;
    }

    @Override
    public String toString() {
        return "{"
                + "cardTypeCode:" + cardTypeCode
                + ",cardFaceValue:" + cardFaceValue
                + ",amount:" + amount
                + ",dscTotal:" + dscTotal
                + ",total:" + total
                + "}";
    }
}
