/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.card;

/**
 * 购买储值卡请求数据 - 支付明细
 *
 * @author lizhixin 2019-04-08 HIORP-130
 */
public class CardBuyPayRequestData {


    /**
     * 序号
     */
    public int serialNo;

    /**
     * 支付方式编码
     */
    public String payCode;

    /**
     * 支付方式名称
     */
    public String payName;

    /**
     * 支付金额
     */
    public String payTotal;

    /**
     * 备注
     */
    public String remark;

    public CardBuyPayRequestData() {
    }

    public CardBuyPayRequestData(int serialNo, String payCode, String payName, String payTotal, String remark) {
        this.serialNo = serialNo;
        this.payCode = payCode;
        this.payName = payName;
        this.payTotal = payTotal;
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "{"
                + "serialNo:" + serialNo
                + ",payCode:" + payCode
                + ",payName:" + payName
                + ",payTotal:" + payTotal
                + ",remark:" + remark
                + "}";
    }

}
