/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.card;

import java.util.List;

/**
 * 购买储值卡响应数据
 *
 * @author lizhixin 2019-04-08 HIORP-130
 */
public class CardBuyResultData {

    /**
     * 是否新分配 同一报文，首次成功返回0，多次重复提交返回1
     */
    public String isNewCard;

    /**
     * 购买卡信息
     */
    public List<CardBuyItemResultData> items;

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        if (items != null) {
            for (CardBuyItemResultData item : items) {
                builder.append(",");
                builder.append(item.toString());
            }
        }
        return "{isNewCard:" + isNewCard
                + "items:" + (builder.toString().length() == 0 ?  "[]" : builder.toString().substring(1)) + "}";
    }
}
