/*
 * Copyright (c) 2003-2019 青岛海信智能商用系统股份有限公司 版权所有
 */
package com.hisense.crm.webapi.card;

import com.hisense.crm.card.CardNo;
import com.hisense.crm.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

public class CardTransRequestData {
    public String cardNo;
    public int cardNoType;
    public String pageNo;
    public String pageRows;
    public String beginDate;
    public String endDate;
    public String orgCode;

    private CardTransRequestData(){}

    public static Request<CardTransRequestData> request(CardNo cardNo, String pageNo, String beginDate, String endDate, String pageRows){
        CardTransRequestData requestData = new CardTransRequestData();
        requestData.cardNo = cardNo.value();
        requestData.cardNoType = cardNo.getTypeCode();
        requestData.pageNo = pageNo;
        requestData.beginDate = beginDate;
        requestData.endDate = endDate;
        requestData.pageRows = pageRows;
        requestData.orgCode = Context.orgCode();
        return WebApi.sign(requestData);
    }
}
