/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.coupon;

/**
 * 优惠券活动查询接口返回结果
 *
 * @author lizhixin 2019-05-24
 */
public class CouponPromotionResultData {

    public String typeCode;//券类型编码
    public String couponName;//券名称
    public String couponValue;//券面额
    public String desc;//促销活动说明
    public String beginDate;//有效开始日期
    public String endDate;//有效结束日期
    public String totalCount;//券发行总量
    public String unboundCount;//未领用总量
    public String couponType;//满送券类型 0-金额券，2-折扣券
    public String billNo;//促销单号

    @Override
    public String toString() {
        return "{typeCode:" + typeCode
                + ",billNo:" + billNo
                + ",couponName:" + couponName
                + ",couponType:" + couponType
                + ",couponValue:" + couponValue
                + ",desc:" + desc
                + ",beginDate:" + beginDate
                + ",endDate:" + endDate
                + ",totalCount:" + totalCount
                + ",unboundCount:" + unboundCount
                + "}";
    }
}
