/*
 * Copyright (c) 2003-2019 青岛海信智能商用系统股份有限公司 版权所有
 */
package com.hisense.crm.webapi.points;

import com.hisense.crm.card.CardNo;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

public class PointDetailsRequest {
    public String cardNo;
    public int cardNoType;
    public String pageNo;
    public String pageRows;
    public String year;
    public String month;

    public static Request<PointDetailsRequest> request(CardNo card, String pageNo, String pageRows, String year, String month){
        PointDetailsRequest request = new PointDetailsRequest();
        request.cardNo = card.value();
        request.cardNoType = card.getTypeCode();
        request.pageNo = pageNo;
        request.pageRows=pageRows;
        request.year=year;
        request.month=month;
        return WebApi.sign(request);
    }
}
