/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm;

/**
 * 收银员。
 *
 * @author zhangsai 2017-10-10
 */
public class Cashier {
    // 收银员编码
    private String code;
    // 收银员名称
    private String name;

    /**
     * 初始化一个 {@code Cashier} 的实例。
     * @param code 收银员编码。
     * @param name 收银员名称。
     */
    public Cashier(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 返回收银员编码。
     * @return 收银员编码。
     */
    public String getCode() {
        return this.code;
    }

    /**
     * 返回收银员名称。
     * @return 收银员名称。
     */
    public String getName() {
        return this.name;
    }
}
