package com.hisense.hipos.webapi.config;

import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

import lombok.Data;

/**
 * 请求
 *
 * @author xieliyan 2018-05-24
 */
@Data
public class ConfigRequestData {

    public String version;          //配置的版本号
    public String posNo;            //收款机号
    public String orgCode;          //门店编号

    public static Request<ConfigRequestData> request(String orgCode, String posNo, String configVersion) {
        ConfigRequestData data = new ConfigRequestData();
        data.orgCode = orgCode;
        data.posNo = posNo;
        data.version = configVersion;

        return WebApi.sign(data);
    }
}
