package com.hisense.hipos.webapi.coupon;

import com.hisense.crm.card.CardNo;
import com.hisense.hipos.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

import java.util.List;

/**
 * Created by caokai on 2019-03-05.
 */

public class CouponPluQueryRequestData {
    /**会员卡面号*/
    public String cardFaceNo;
    /**组织编码*/
    public String orgCode;
    /**销售时间*/
    public String saleTime;
    /**商品列表*/
    public List<CouponQueryPlu> plu;

    public static Request<CouponPluQueryRequestData> request(CardNo cardNo, String saleTime, List<CouponQueryPlu> plu) {
        CouponPluQueryRequestData data = new CouponPluQueryRequestData();
        data.orgCode = Context.orgCode();
        data.cardFaceNo = cardNo.value();
        data.saleTime = saleTime;
        data.plu = plu;
        return WebApi.sign(data);
    }
}
