/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.invoice;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 电子发票服务的 retrofit 接口。
 *
 * @author zhangsai 2017-12-20
 */
interface IInvoiceService {
    /**
     * 返回电子发票配置。
     *
     * @param request 获取电子发票配置请求。
     * @return 获取电子发票配置的 retrofit 调用。
     */
    @POST("api/invoice/config")
    Call<Result<ConfigResultData>> config(@Body Request<ConfigRequestData> request);
}
