/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.log;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 日志上传接口
 *
 * @author guolina 2019-04-01
 */
interface ILogService {

    /**
     * 日志上传接口。
     *
     * @param request 日志上传接口请求。
     * @return 日志上传接口的 retrofit 调用。
     */
    @POST("api/log/uploadIsv")
    Call<Result<Object>> upload(@Body Request<LogUploadRequestData> request);
}
