/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.pay;

/**
 * 支付类型
 *
 * @author wangyaogang 2019-01-16
 */

public enum SceneType {
    /**
     * 条码支付
     */
    BAR_CODE("bar_code"),
    /**
     * 刷脸支付
     */
    SECURITY_CODE("security_code");

    /**
     * 实际值
     */
    private String value;

    /**
     * 初始化一个 {@code SceneType} 的实例。
     *
     * @param value 表示Scene类型
     */
    SceneType(String value) {
        this.value = value;
    }

    /**
     * 返回SceneType的值。
     *
     * @return 返回SceneType的值。
     */
    public String value() {
        return this.value;
    }
}
