package com.hisense.hipos.webapi.pay;

import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

import java.util.List;

/**
 * 交易支付上传接口
 * Created by caokai on 2019-04-29.
 */

class UploadOrdersRequestData {
    public String appid;
    public String mchId;
    public String openid;
    public String orgCode;
    public String outTradeNo;
    public List<PayChannel> payChannel;
    public List<PayRequestPlu> plu;
    public String posNo;
    public String saleTime;
    public String payTime;
    public String subAppid;
    public String subMchId;
    public String subject;
    public String subOpenid;
    public String terminalFlag;
    public String terminalId;
    public String terminalType;
    public String total;
    public String totalRecv;
    public String tradeNo;


    public static Request<UploadOrdersRequestData> request(String openId, String tradeNo,
                                                           PayConfigInfo payCfg, List<PayChannel> payChannel, TerminalInfo terminal) {
        UploadOrdersRequestData data = new UploadOrdersRequestData();

        return WebApi.sign(data);
    }
}
