/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.plu;

/**
 * 商品数据。
 *
 * @author guolina     2019-01-09 HIPOSAPP-916 查询商品优惠接口调整
 */
class PluData {

    public String barCode;  //条码
    public String isCntQty;//是否计量
    public String isWeight;    //是否称重商品
    public String itemNo;   //行号
    public String pluCode;  //商品编码
    public PluDscData pluDsc;   //商品优惠
    public String pluId;    //商品ID
    public String pluName;  //商品名称
    public String price;    //单价
    public String quantity; //数量
    public String spec; //规格
    public String total;    //应收合计
    public String totalDsc; //优惠合计
    public String unit; //商品单位

    public String brandCode;  //品牌编码
    public String classCode;  //品类编码
    public String clkCode;    //营业员编码
    public String clkId;      //营业员ID
    public String depCode;    //部门编码
    public String depId;      //部门ID
    public String depName;    //部门名称
    public String invNo;      //发票号
    public String orgCode;    //组织编码
    public String pageNo;     //页号
    public String pluType;    //0-普通商品；1-商品包；2-商品包明细
    public String saleNo;     //流水号
    public String shopCode;   //专柜编码
    public String shopId;     //
    public String tagPrice;   //商品标价
    public String totalRecv;  //实收合计
    public String totalRound; //抹零合计
    public String tranType;   //交易类型
    public String remark;     //备注
    public String udp1;       //扩展字段1
    public String udp2;       //扩展字段2
    public String udp3;       //扩展字段3
    public String udp4;       //扩展字段4
    public String udp5;       //扩展字段5
}
