/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.report;

import com.hisense.hipos.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

/**
 * 专柜销售报表查询请求数据。
 *
 * @author zhangsai 2017-09-06
 */
class ShopSaleReportRequestData {
    /**组织编码*/
    public String orgCode;
    /**收款机号*/
    public String posNo;
    /**查询日期*/
    public String queryDate;
    /**专柜编码*/
    public String shopCode;

    /**
     * 返回一个新的 WebAPI 请求。
     *
     * @param queryDate 查询日期
     * @return WebAPI 请求
     */
    public static Request<ShopSaleReportRequestData> request(String queryDate) {
        ShopSaleReportRequestData data = new ShopSaleReportRequestData();
        data.orgCode = Context.orgCode();
        data.posNo = Context.posNo();
        data.shopCode = Context.shopCode();
        data.queryDate = queryDate;

        return WebApi.sign(data);
    }
}
