package com.hisense.hipos.webapi.sale;

import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

/**
 * 礼品券查询请求数据。
 *
 * @author yuminghao 2020-09-30
 */
public class CertiDtlQueryRequestData {

    // 组织号
    public String orgCode;
    // 礼品券码
    public String certiCode;
    //柜台编码
    public String posNo;
    // 流水号
    public String saleNo;
    // 参数签名
    public String sign;

    public static Request<CertiDtlQueryRequestData> request(String orgCode, String certiCode, String posNo, String saleNo, String sign) {
        CertiDtlQueryRequestData data = new CertiDtlQueryRequestData();
        data.orgCode = orgCode;
        data.certiCode = certiCode;
        data.posNo = posNo;
        data.saleNo = saleNo;
        data.sign = sign;
        return WebApi.sign(data);
    }
}
