/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.service;

import lombok.Data;

/**
 * 服务在线返回结果。
 *
 * @author zhangsai 2018-03-28 HIPOSAPP-369 新增 WebAPI 版本
 * @author zhangsai 2018-05-04 HIPOSAPP-433 新增业务系统代码
 * @author guolina  2018-08-29 HIPOSAPP-731 修复因服务未连接导致的闪退
 */
@Data
public class OnlineResultData {

    /**
     * WebAPI 服务的最低兼容版本
     */
    public int minVersion;

    /**
     * 业务系统代码
     */
    public String productCode;

    /**
     * WebAPI 服务的当前版本
     */
    public int version;

    public String apiVersion;
}
