/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.template;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 打印模板服务的 retrofit 接口
 *
 * @author zhangsai 2017-09-30
 */
interface ITemplateService {
    /**
     * 检查打印模板是否需要更新的 retrofit 请求。
     *
     * @param request 检查打印模板是否需要更新的请求。
     * @return 检查打印模板是否需要更新的 retrofit 调用。
     */
    @POST("api/template/checkUpdate")
    Call<Result<CheckUpdateResultData>> checkUpdate(@Body Request<CheckUpdateRequestData> request);
}
