/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.yst;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 赢商通服务的 retrofit 接口。
 *
 * @author zhangsai 2017-09-02
 */
interface IYstService {

    /**
     * 返回赢商通配置。
     *
     * @param request 获取赢商通配置请求。
     * @return 获取赢商通配置的 retrofit 调用。
     * @author zhangsai 2017-09-03
     */
    @POST("api/yst/config")
    Call<Result<ConfigResultData>> config(@Body Request<ConfigRequestData> request);
}
