package com.hisense.hipos.plu;

import java.util.List;

import lombok.Data;

/**
 * 整单促销接口返回商品
 *
 * @author guolina          2020-01-09 HIAPOSCMP-490 慧收银增加整单促销接口
 */
@Data
public class Plu {
    /**
     * 行号
     */
    public int itemNo;
    /**
     * 页号
     */
    public int pageNo;
    /**
     * 商品编码
     */
    public String pluCode;
    /**
     * 原价
     */
    public String tagPrice;
    /**
     * 发生价
     */
    public String price;
    /**
     * 数量
     */
    public String quantity;
    /**
     * 应收金额
     */
    public String total;
    /**
     * 实收金额
     */
    public String totalRecv;
    /**
     * 优惠金额
     */
    public String totalDsc;

    /**
     * 商品优惠
     */

    public List<PluDsc> pluDsc;
}
