package com.hisense.hipos.sale.models;

import lombok.Data;

/**
 * Created by xly on 2019-03-26.
 */
@Data
public class ShopInfo implements Cloneable {

    private String orgCode;                     //组织编码
    private String orgName;                     //组织名称
    private String longitude;                   //经度
    private String latitude;                    //纬度
    private String address;                     //地址
    private String telephone;                   //电话

    @Override
    public ShopInfo clone() {
        try {
            return (ShopInfo) super.clone();
        } catch (CloneNotSupportedException e) {
            ShopInfo shopInfo = new ShopInfo();
            shopInfo.orgCode = this.orgCode;
            shopInfo.orgName = this.orgName;
            shopInfo.longitude = this.longitude;
            shopInfo.latitude = this.latitude;
            shopInfo.address = this.address;
            shopInfo.telephone = this.telephone;

            return shopInfo;
        }
    }
}
