/***************************************************************************************************
 * Copyright (c) 2003-2019 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.shop;

/**
 * 地理位置。
 *
 * @author zhangsai 2019-06-11
 */
public class Location {
    // 纬度
    private double latitude;
    // 经度
    private double longitude;


    /**
     * 初始化一个 {@code Location} 的实例。
     *
     * @param longitude 经度
     * @param latitude  纬度
     */
    public Location(double longitude, double latitude) {
        this.longitude = longitude;
        this.latitude = latitude;
    }

    /**
     * 返回纬度。
     */
    public double latitude() {
        return this.latitude;
    }

    /**
     * 返回经度。
     */
    public double longitude() {
        return this.longitude;
    }
}
