/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.template.models;

/**
 * 打印模板类型。
 *
 * @author zhangsai 2017-09-30
 */
public enum PrintTemplateType {
    /**
     * 购物小票
     */
    Receipt(1),

    /**
     * 赠券
     */
    Coupon(2),

    /**
     * 礼品券
     */
    GiftCoupon(3);

    // 表示打印模板类型的值
    private int value;

    /**
     * 初始化一个 {@code PrintTemplateType} 的实例。
     *
     * @param value 表示打印模板类型的值
     */
    PrintTemplateType(int value) {
        this.value = value;
    }

    /**
     * 返回打印模板类型的值。
     *
     * @return 打印模板类型的对应值。
     */
    public int value() {
        return this.value;
    }
}
