/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.pos.payment.icbc;

import android.os.Bundle;

/**
 * 工行收单接口返回的交易结果数据。
 *
 * @author zhangsai 2018-11-27 HIPOSAPP-888
 */
public class TransResult extends ResultBase {

    /**
     * 初始化一个 {@code IcbcInstallmentProvider} 的实例。
     */
    TransResult() {
        super();
    }

    /**
     * 初始化一个 {@code IcbcInstallmentProvider} 的实例。
     *
     * @param bundle 接口返回的交易结果数据
     */
    TransResult(Bundle bundle) {
        super();
        this.setBundle(bundle);
    }

    /**
     * 返回交易汇总集合。
     */
    public String collection() {
        return super.bundle.getString("COLLECTION");
    }
}
