/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.payment.icbc.bean;

/**
 * 交易汇总打印 文本方式 内容行实体类
 */
public class StPrintTxtItem {

    /**
     * 字体大小。默认中号字体
     * 0：small
     * 1：normal
     * 2：large
     */
    public int font = 1;

    /**
     * 对齐方式。默认左对齐。
     * 注意：对于同一个 text 里面不会自动换行的多个文本，请不要使用不同的对齐方式，
     * 如果在同一行文本中出现不同的对齐方式将以最后一个为准
     * 0：left
     * 1：center
     * 2：right
     */
    public int align;

    /**
     * 文本信息
     */
    public String data = "";

    public StPrintTxtItem() {
    }

    public StPrintTxtItem(String data) {
        this.data = data;
    }

    public StPrintTxtItem(int font, int align, String data) {
        this.font = font;
        this.align = align;
        this.data = data;
    }

}
