/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.payment.icbc.bean;

/**
 * 工行交易汇总 二维码交易item
 * @author lizhixin 20180710 HIPOSAPP-533 工行交易汇总数据解析实体类
 */
public class StQRCodeItem {

    /**
     * 二维码种类
     * 0: 总计 1: 工银二维码 2: 银联二维码
     */
    public int qr_type;

    /**
     * 二维码消费的汇总金额（人民币），单位：分。包含退货的金额
     */
    public int qr_amt;

    /**
     * 二维码消费的笔数
     */
    public int qr_cnt;

    /**
     * 二维码退货的汇总金额（人民币），单位：分。
     */
    public int qr_refund_amt;

    /**
     * 二维码退货的笔数
     */
    public int qr_refund_cnt;
}
