package com.hisense.pos.payment.ums;

/**
 * 银联商务,交易时增加extOrderNo, 需要校验appId
 *
 * @author wangyaogang 2019-08-19 HIPOSAPP-1225  银联商务增加支付查询
 * @author wangyaogang 2020-04-14 HIAPOSCMP-654 增加利客来银联商务支付异常（超时等）查询功能
 */
public enum AppId {
    //测试数据
    TEST("com.chinaums.commoncheck", "880ff13a339749dda54efa40cfef3887"),

    //海信广场, 天津和长沙
    HX_PLAZA("com.hisense.hipos", "f4b698a6d3cb4207b4e1d50c741b7dac"),

    //温州时代
    TIME_SQUARE("com.hisense.hipos.timessquare", "5b4a1986643641bfbd3c729aeea7223e"),

    //利客来（银商）
    LIKELAI("com.hisense.hipos.lklums", "61f2198ded1b476d9ca9144113b5ec0f");

    // 包名
    public String packageName;
    //对应的appid
    public String appId;

    AppId(String packageName, String appId) {
        this.packageName = packageName;
        this.appId = appId;
    }

    public static String getAppId(String packageName) {
        for (AppId appId : AppId.values()) {
            if (appId.packageName.equals(packageName)) {
                return appId.appId;
            }
        }
        return null;
    }
}
