/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.database.sqlite;

import android.database.Cursor;

/**
 * SQLite 查询的回调方法接口。
 *
 * @author zhangsai 2018-01-12
 */
public interface QueryCallback {

    /**
     * 存在查询结果时返回查询结果。
     *
     * @param cursor 查询结果的 {@code Cursor} 游标
     */
    void onSuccess(Cursor cursor);
}
