/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.database.sqlite;

import android.database.sqlite.SQLiteDatabase;

/**
 * SQLite 事务处理的回调方法接口。
 *
 * @author zhangsai 2018-12-22 HIPOSAPP-931
 */
public interface TransactionCallback {

    /**
     * 开启事务后执行 SQL 语句。
     *
     * @param database 开启事务的 SQLite 数据库
     */
    void onTransaction(SQLiteDatabase database);
}
