/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.card;

/**
 * 读取 Mifare1 数据区块读卡密码后的回调方法。
 *
 * @author zhangsai 2018-04-25
 */
public interface M1CardBlockPasswordCallback {
    /**
     * 读取读卡密码后执行的方法。
     *
     * @param password 数据区块的读卡密码
     */
    void onSuccess(String password);
}
