/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.card;

/**
 * Mifare1 非接触式磁卡读取器的提供程序。
 *
 * @author zhangsai 2018-04-25
 */
public interface M1CardReaderProvider {

    /**
     * 返回磁卡区块的读取密码。
     *
     * @param icNo     Mifare1 卡第一区块的读取数据
     * @param callback 读取密码后的回调方法
     */
    void getBlockPassword(String icNo, M1CardBlockPasswordCallback callback);
}
