/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.pos.payment;

/**
 * 支付提出程序异常。
 *
 * @author zhangsai    2018-11-24 HIPOSAPP-888
 * @author wangyaogang 2019-08-19 HIPOSAPP-1225  银联商务增加支付查询
 */
public class PaymentProviderException extends Exception {
    private String code;

    public PaymentProviderException() {
        super();
    }

    public PaymentProviderException(String message) {
        this("0", message);
    }

    public PaymentProviderException(String code, String message) {
        super(message);
        this.code = code;
    }

    public PaymentProviderException(String message, Throwable cause) {
        this("0", message, cause);
    }

    public PaymentProviderException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public PaymentProviderException(Throwable cause) {
        super(cause);
    }

    public String code() {
        return this.code;
    }
}
