/***************************************************************************************************
 * Copyright (c) 2019 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos;

import android.content.Context;

import com.hisense.pos.print.boc.BOCDeviceHelper;

/**
 * {银行服务绑定/解绑操作}
 *
 * @author wangyaogang 2019-03-13
 */
public class BankServiceHelper {

    /**
     * 绑定服务
     *
     * @param context 上下文
     */
    public static void bindService(Context context) {
        //中行设备登录
        BOCDeviceHelper.getInstance().init(context);
        BOCDeviceHelper.getInstance().bindDeviceService();
    }

    /**
     * 解绑服务
     *
     * @param context 上下文
     */
    public static void unBindService(Context context) {
        BOCDeviceHelper.getInstance().unBindDeviceService();
    }
}
