package com.hisense.hipos;

import android.content.Context;

import com.hisense.pos.print.ccb.CCBDeviceHelper;


/**
 * {银行服务绑定/解绑操作}
 *
 * @author wangyaogang 2019-03-13
 */
public class BankServiceHelper {

    /**
     * 绑定服务
     *
     * @param context 上下文
     */
    public static void bindService(Context context) {
        CCBDeviceHelper.getInstance().init(context);
        CCBDeviceHelper.getInstance().bindService();
    }

    /**
     * 解绑服务
     *
     * @param context 上下文
     */
    public static void unBindService(Context context) {
        CCBDeviceHelper.getInstance().unbindService();
    }
}
