package com.hisense.hiaposcmp.activity.common.authorization.ldk_rus.model;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.List;

import lombok.Data;
/**
 * 授权支付方式信息
 */
@Data
public class AuthorizationInfo implements Serializable {
    /**
     * 激活锁号
     */
    public String haspId;
    /**
     *产品号
     */
    public String productId;

    /**
     *产品号
     */
    public List<FeatureInfo> feature;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
