package com.hisense.hiaposcmp.adapter;

import android.view.View;

/**
 * RecyclerView item 点击事件监听器
 *
 * @author dukunbiao(null)  2019-12-20
 */
public interface OnRecyclerItemClickListener {

    void onClick(View view, RecyclerItemViewName viewName, int position);

    /**
     * RecyclerView item 点击事件
     */
    enum RecyclerItemViewName {

        /**
         * 选中
         */
        ITEM,
        /**
         * 删除
         */
        DELETE,
        /**
         * 增加
         */
        INCREASE,
        /**
         * 减少
         */
        DECREASE,
        /**
         * 修改数量
         */
        CHANGE_QUALITY
    }
}
