package com.hisense.hiaposcmp.layout;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListView;

/**
 * 列表高度与内容一致的 ListView。
 *
 * @author zhangsai 2018-07-16 HIPOSAPP-668
 */
public class WrapContentListView extends ListView {
    public WrapContentListView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public WrapContentListView(Context context) {
        super(context);
    }

    public WrapContentListView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    @Override
    public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int expandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2,
                MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);
    }
}
