/***************************************************************************************************
 * Copyright (c) 2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hiaposcmp.print.bean;

import android.content.Context;

import com.hisense.hiaposcmp.print.IPrintService;

/*******************************************************************************
 * 功能说明：基本打印单元Bean
 *
 * 版权说明：青岛海信智能商用系统有限公司  版权所有
 * 创建：guanguangjin 2017-02-04
 * 修改：
 ******************************************************************************/
public class BasePrintBean {

    private Context prtContext;     // 当前所处活动上下文
    private IPrintService.PrtPatternType type;    // 打印票据类型

    private String prtIp;           // 打印机IP
    private String prtPort;         // 打印机端口
    private String prtSerialPort;   // 打印机串口
    private int prtBaudRate;        // 打印机波特率

    private String invPrtIp;        // 发票打印机IP
    private String invPrtPort;      // 发票打印机端口
    private String invSerialPort;   // 发票打印机串口
    private int invBaudRate;        // 发票打印机波特率

    /*************************** getter and setter ****************************/

    public Context getPrtContext() {
        return prtContext;
    }

    public void setPrtContext(Context prtContext) {
        this.prtContext = prtContext;
    }

    public IPrintService.PrtPatternType getType() {
        return type;
    }

    public void setType(IPrintService.PrtPatternType type) {
        this.type = type;
    }

    public String getPrtIp() {
        return prtIp;
    }

    public void setPrtIp(String prtIp) {
        this.prtIp = prtIp;
    }

    public String getPrtPort() {
        return prtPort;
    }

    public void setPrtPort(String prtPort) {
        this.prtPort = prtPort;
    }

    public String getPrtSerialPort() {
        return prtSerialPort;
    }

    public void setPrtSerialPort(String prtSerialPort) {
        this.prtSerialPort = prtSerialPort;
    }

    public int getPrtBaudRate() {
        return prtBaudRate;
    }

    public void setPrtBaudRate(int prtBaudRate) {
        this.prtBaudRate = prtBaudRate;
    }

    public String getInvPrtIp() {
        return invPrtIp;
    }

    public void setInvPrtIp(String invPrtIp) {
        this.invPrtIp = invPrtIp;
    }

    public String getInvPrtPort() {
        return invPrtPort;
    }

    public void setInvPrtPort(String invPrtPort) {
        this.invPrtPort = invPrtPort;
    }

    public String getInvSerialPort() {
        return invSerialPort;
    }

    public void setInvSerialPort(String invSerialPort) {
        this.invSerialPort = invSerialPort;
    }

    public int getInvBaudRate() {
        return invBaudRate;
    }

    public void setInvBaudRate(int invBaudRate) {
        this.invBaudRate = invBaudRate;
    }
}
