package com.hisense.hiaposcmp.service.wx.dto;

/**
 * 微信刷脸支付 暂存数据
 *
 * @author dukunbiao(null) 2018-07-09
 */
public class WxDto {

    private volatile static WxDto wxDto;

    private boolean isInit=false;     //是否已经初始化
    private String authinfo;    //SDK调用凭证
    private String outTradeNo;  //商户订单号

    private WxDto() {

    }

    public boolean isInit() {
        return isInit;
    }

    public void setInit(boolean init) {
        isInit = init;
    }

    public static WxDto getWxDto() {
        if (wxDto == null) {
            synchronized (WxDto.class) {
                if (wxDto == null) {
                    wxDto = new WxDto();
                }
            }
        }

        return wxDto;
    }

    public String getAuthinfo() {
        return authinfo;
    }

    public void setAuthinfo(String authinfo) {
        this.authinfo = authinfo;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public void initWxDto() {
        this.authinfo = "";
        this.outTradeNo = "";
    }
}
