/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hiaposcmp.util;

import android.graphics.Color;
import android.os.CountDownTimer;
import android.widget.TextView;

/**
 * 倒计时
 *
 * @author guolina   2018-04-02
 */

public class TimeCount extends CountDownTimer {
    TextView btnShow;

    public TimeCount(long millisInFuture, long countDownInterval, TextView btnShow) {
        super(millisInFuture, countDownInterval);// 参数依次为总时长,和计时的时间间隔
        this.btnShow = btnShow;

    }

    @Override
    public void onFinish() {// 计时完毕时触发

        btnShow.setText("获取验证码");
        btnShow.setTextColor(Color.parseColor("#ff5d74"));
        btnShow.setClickable(true);
        btnShow.setEnabled(true);


    }

    @Override
    public void onTick(long millisUntiished) {// 计时过程显示

        btnShow.setClickable(false);
        btnShow.setEnabled(false);
        btnShow.setTextSize(15);
        btnShow.setText("重新获取" + millisUntiished / 1000 + "秒");
        btnShow.setTextColor(Color.parseColor("#cccccc"));
    }
}
