package com.hisense.hiaposcmp.view.IView;

import android.app.Activity;
import android.content.Context;

import com.hisense.common.boot.SingleCallback;
import com.hisense.common.boot.UniCallback;

/**
 * 基础的MVP
 *
 * @author zhuguangsheng on 2018/5/25.
 * @author dukunbiao(null)  2019-07-22  重构
 */
public interface IBaseView {

    Activity getActivity();

    Context getContext();

    void showLoadingDialog();

    void hideLoadingDialog();

    void showProgressDialog(String text);

    void showProgressDialogNoHide(String text);

    void hideProgressDialog();

    void showHintDialog(String msg);

    void showHintDialog(String title, String msg);

    void showHintDialog(String msg, SingleCallback callback);

    void showHintDialog(String title, String msg, boolean isExit);

    void showHintConfirm(String msg, UniCallback callback);

    void showHintConfirm(String title, String msg, UniCallback callback);

    void showHintConfirm(String title, String msg, String yesBtn, String noBtn, UniCallback callback);

    void showHintConfirm(String style, String title, String msg, String yesBtn, String noBtn, UniCallback callback);

    void finishThisActivity();

    void performQuit();

    boolean performQuitBack(String value);

    void isNotShowExitDialog(boolean bool);
}
