package com.hisense.hiaposcmp.view.IView.sale;

import com.hisense.hiaposcmp.view.IView.IBaseView;
import com.hisense.hipos.webapi.sale.CertiDtlQueryResultData;

/**
 * 礼品券兑换view
 *
 * @author yuminghao  on  2020/09/28.
 */
public interface IGiftView  extends IBaseView {
    // 礼品券查询成功
    void onQuerySuccess(CertiDtlQueryResultData certiDtlQueryResultData);
    // 礼品券查询失败
    void onQueryFail();

    /**
     * 更新商品列表适配器
     */
    void updateGiftInfo(CertiDtlQueryResultData certiDtlQueryResultData);
    /**
     * 核销成功
     */
    void consumeSuccess();
    // 核销失败
    void consumeFail();

    void onlineFail(String message);

    void submitSuccess();

    void submitFail(String message);
}
