/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.common;



/**
 * 执行环境
 *
 * @author dukunbiao 2019-09-06
 */
public class Context {

    private static Context INSTANCE;

    private String logPath;

    /**
     * 初始化一个 {@code Context} 的实例。
     */
    private Context() {
        // NO CODE HERE. 避免初始化。
    }


    /**
     * 返回配置的专柜编号。
     *
     * @return 专柜编号
     */
    public static String logPath() {
        if (INSTANCE != null) {
            return INSTANCE.logPath;
        }

        return "/com.hisense/hiposapp/";
    }

    public static void config(String logPath) {
        Context context = new Context();
        context.logPath = logPath;


        INSTANCE = context;
    }
}
