package com.hisense.common.util;

import java.net.URLEncoder;
import java.security.Key;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;

import sun.misc.BASE64Encoder;

/**
 * DES加密
 *
 * @author xieliyan  2019-06-13
 */
public class DesUtils {

    private static final String ALGORITHM_DES = "DES/ECB/PKCS5Padding";

    /**
     * 加密数据
     *
     * @param src
     * @param key
     * @return
     */
    public static String encryptDES(String src, String key) throws Exception {
        Key sk = toKey(key.getBytes());
        Cipher cip = Cipher.getInstance(ALGORITHM_DES);
        cip.init(Cipher.ENCRYPT_MODE, sk);

        String dest = new BASE64Encoder().encode(cip.doFinal(src.getBytes("UTF-8")));

        return URLEncoder.encode(dest, "UTF-8");
    }

    private static Key toKey(byte[] key) throws Exception {
        DESKeySpec dks = new DESKeySpec(key);
        SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("DES");
        SecretKey secretKey = keyFactory.generateSecret(dks);
        return secretKey;
    }
}
