package com.hisense.common.util;

import java.util.List;

/**
 * List 工具类
 *
 * @author dukunbiao(null) 2018-09-15
 * https://github.com/dkbnull/Util
 */
public class ListUtils {

    private ListUtils() {

    }

    /**
     * 检查List是否为空
     *
     * @param list 待检查List
     * @return true/false
     */
    public static boolean isEmpty(List list) {
        return (list == null || list.isEmpty());
    }

    public static boolean isEmptyV2(List list) {
        boolean isNull = isEmpty(list);

        if (isNull) {
            return true;
        }

        for (int i = 0; i < list.size(); i++) {
            isNull = isNull || list.get(i) == null;
        }

        return isNull;
    }
}
