/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.crm.webapi.sms;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 短信服务的 retrofit 接口。
 *
 * @author zhangsai 2018-04-04 HIPOSAPP-380
 */
interface ISmsService {
    /**
     * 短信验证码发送接口的 retrofit 请求。
     *
     * @param request 短信验证码发送请求。
     * @return 短信验证码发送接口的 retrofit 调用。
     */
    @POST("crm/sms/send")
    Call<Result<SendResultData>> send(@Body Request<SendRequestData> request);
}
