/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.trans;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * {交易服务的 retrofit 接口。}
 *
 * @author wangyaogang 2019-05-24
 */
public interface ITransService {
    /**
     * 交易流水检查接口
     *
     * @param request
     * @return
     */
    @POST("crm/sale/trans/check")
    Call<Result<TransactionResultData>> check(@Body Request<TransactionCheckRequestData> request);

}
