/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.crm.webapi.vip;

/**
 * 实时积分的商品信息。
 *
 * @author guolina 2018-05-24
 * @author panghuanwei 2019-12-18 plu交易商品集合对象，增加price发生价格、quantity数量、tagPrice商品原价
 */
final class RealTimePointPluData {
    // 品牌编码
    public String brandCode;
    // 品类编码
    public String classCode;
    // 部门编码
    public String depCode;
    // 部门名称
    public String depName;
    // 行号
    public int itemNo;
    // 页号
    public int pageNo;
    // 商品编码
    public String pluCode;
    // 商品名称
    public String pluName;
    // 发生价格
    public String price;
    // 数量
    public String quantity;
    // 商品原价
    public String tagPrice;
    // 应收金额
    public String total;
    // 优惠金额
    public String totalDsc;
    // 实收金额
    public String totalRecv;
}
