/*
 * Copyright (c) 2003-2019 青岛海信智能商用系统股份有限公司 版权所有
 */
package com.hisense.crm.webapi.vip;

import com.hisense.crm.card.CardNo;
import com.hisense.crm.vip.Vip;
import com.hisense.crm.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

public class VipUpdateInfoData {
    public String cardNo;
    public int cardNoType;
    public String orgCode;
    public String vipName;
    public int sex;
    public String birthday;
    public String mobile;

    public VipUpdateInfoData(){

    }

    public static Request<VipUpdateInfoData> request(CardNo card, Vip vip){
        VipUpdateInfoData request = new VipUpdateInfoData();
        request.cardNo = card.value();
        request.cardNoType = card.getTypeCode();
        request.orgCode = Context.orgCode();
        request.birthday = vip.birthday();
        request.sex = vip.sex().value();
        request.vipName = vip.name();
        request.mobile = vip.mobile();
        return WebApi.sign(request);
    }
}
