package com.hisense.hipos.webapi.app;

import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

import lombok.Data;

/**
 * 检查APP更新接口 APP请求参数
 *
 * @author dukunbiao(null)  2020-02-24
 */
@Data
public class CheckUpdateRequestData {

    private String applicationId;
    private String version;

    public static Request<CheckUpdateRequestData> request(final String applicationId, final String version) {
        CheckUpdateRequestData data = new CheckUpdateRequestData();
        data.applicationId = applicationId;
        data.version = version;

        return WebApi.sign(data);
    }
}
