/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.images;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 打印图片服务的 retrofit 接口
 *
 * @author xieliyan 2018-03-22
 */

interface IImageService {
    /**
     * 检查打印图片是否需要更新的 retrofit 请求。
     *
     * @param request 检查打印图片是否需要更新的请求。
     * @return 检查打印图片是否需要更新的 retrofit 调用。
     */
    @POST("api/image/checkUpdate")
    Call<Result<List<CheckUpdateResultData>>> checkUpdate(@Body Request<List<CheckUpdateRequestData>> request);
}
