/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.invoice;

import com.hisense.hipos.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

/**
 * 查询电子发票配置的请求数据。
 *
 * @author zhangsai 2017-12-20
 */
class ConfigRequestData {
    /**组织编码*/
    public String orgCode;
    /**收款机号*/
    public String posNo;
    /**流水号*/
    public String saleNo;

    /**
     * 返回一个新的 WebAPI 请求。
     * @return WebAPI 请求
     */
    public static Request<ConfigRequestData> request() {
        ConfigRequestData data = new ConfigRequestData();
        data.orgCode = Context.orgCode();
        data.posNo = Context.posNo();

        return WebApi.sign(data);
    }
}
