/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.invoice;

import com.hisense.hipos.invoice.models.EInvoiceConfig;

/**
 * 查询电子发票配置的返回结果。
 *
 * @author zhangsai 2017-12-20
 * @author zhangsai 2018-07-02 HIPOSAPP-626
 * @author zhangsai 2019-01-04 HIPOSAPP-958 默认电子发票配置不再使用 EInvoice3702
 */
class ConfigResultData {
    /**
     * 城市代码。
     */
    public int city;
    /**
     * 服务地址。
     */
    public String url;

    /**
     * 处理 WebAPI 接口返回数据。
     *
     * @param data 接口返回数据
     * @return 电子发票配置
     */public static EInvoiceConfig handleResult(ConfigResultData data) {
        return new EInvoiceConfig(data.city, data.url);
    }
}
