/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.payment;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 支付服务的 retrofit 接口。
 *
 * @author zhangsai 2017-12-21
 */
interface IPaymentService {
    /**
     * 查询支付方式。
     *
     * @param request 查询支付方式的请求。
     * @return 查询支付方式的 retrofit 调用。
     */
    @POST("api/payment/payMethods")
    Call<Result<List<PayMethodsResultData>>> getPayMethods(@Body Request<PayMethodsRequestData> request);
}
