/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.hipos.webapi.payment;

import com.hisense.hipos.webapi.Context;
import com.hisense.webapi.Request;
import com.hisense.webapi.WebApi;

/**
 * 查询支付方式的请求数据。
 *
 * @author zhangsai 2017-12-21
 */
class PayMethodsRequestData {
    /**
     * 用途
     */
    public String usage;
    /**
     * 组织编码
     */
    public String orgCode;

    /**
     * 收款机号
     */
    public String posNo;

    public static Request<PayMethodsRequestData> request() {
        PayMethodsRequestData data = new PayMethodsRequestData();
        if (WebApi.isAmwAndAip()) {
            data.usage = "offline";
        }

        data.orgCode = Context.orgCode();
        data.posNo = Context.posNo();

        return WebApi.sign(data);
    }
}
