/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.sale;

import lombok.Data;

/**
 * 交易完成 请求接口 pluDsc信息。
 */
@Data
public class CompletePluDscData {
    /**
     * 优惠单号
     */
    public String dscCode;
    /**
     * 优惠类型
     */
    public String dscProType;
    /**
     * 优惠数量
     */
    public String dscNum;
    /**
     * 商品编码
     */
    public String pluCode;
    /**
     * 全局限量类型
     */
    public String globalType;

    public CompletePluDscData() {
    }
}
