/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.service;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * WebAPI 服务的 retrofit 接口。
 *
 * @author zhangsai 2017-09-02
 * @author zhangsai 2018-03-28 HIPOSAPP-369 更改 online 接口返回结果类型
 */
interface IService {

    /**
     * 返回服务是否在线的 retrofit 请求。
     *
     * @param request 检查服务是否在线的请求。
     * @return 服务是否在线的 retrofit 调用。
     */
    @POST("api/service/online")
    Call<Result<OnlineResultData>> online(@Body Request request);
}
