/***************************************************************************************************
 * Copyright (c) 2003-2017 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.webapi.vip;

import com.hisense.webapi.Request;
import com.hisense.webapi.Result;

import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

/**
 * 会员服务的 retrofit 接口。
 *
 * @author zhangsai 2017-11-22
 */
interface IVipService {

    /**
     * 查询指定会员当前交易可使用赠券的 retrofit 请求。
     *
     * @param request 查询指定会员当前交易可使用赠券的请求
     * @return 查询指定会员当前交易可使用赠券的 retrofit 调用。
     */
    @POST("api/vip/coupons")
    Call<Result<List<VipCouponsResultCoupon>>> getCoupons(@Body Request<VipCouponsRequestData> request);
}
