package com.hisense.hipos.plu;

import lombok.Data;

/**
 * 满减接口返回优惠
 *
 * @author xieliyan 2018-10-10
 */
@Data
public class PluDsc {
    /**
     * 优惠单号
     */
    public String dscCode;
    /**
     * 优惠数量
     */
    public String dscNum;
    /**
     * 优惠名称
     */
    public String dscProName;
    /**
     * 促销引擎优惠类型
     */
    public String dscProType;
    /**
     * 行号
     */
    public int itemNo;
    /**
     * 页号
     */
    public int pageNo;
    /**
     * 商品编码
     */
    public String pluCode;
    /**
     * 商品ID
     */
    public String pluId;
    /**
     * 优惠金额
     */
    public String totalDsc;
    /**
     * 全局限量类型
     */
    public String globalType;

}
