/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.hipos.plu;

/**
 * 商品优惠类型。
 *
 * @author zhangsai 2018-12-21 HIPOSAPP-699
 * @author zhangsai 2019-05-20 HIPOSAPP-1105 新增“06”交易四舍五入分摊金额
 */
public final class PluDscType {

    /**
     * 单品优惠。
     */
    public final static String PLU = "02";

    /**
     * 交易四舍五入分摊金额。
     */
    public final static String ROUNDING_SHARE = "06";

    /**
     * 商品优惠。
     */
    public final static String NORMAL = "10";

    /**
     * 会员优惠。
     */
    public final static String VIP = "20";

    /**
     * 满减优惠。
     */
    public final static String TOTAL_REDUCTION = "70";


    private PluDscType() {
        // NO CODE HERE.
    }
}
