package com.hisense.hipos.plu;

import java.util.List;

import lombok.Data;

/**
 * 赠品/换购商品
 *
 * @author xieliyan 2018-11-13
 */
@Data
public class PluGift {

    /**
     * 换购行为
     */
    public List<PluGiftAction> actions;
    /**
     * 促销单号
     */
    public String dscCode;
    /**
     * 一共可用的兑换数量
     */
    public String quantity;

    public String dscProName;
    public String dscProType;
    /**
     * 全局限量类型
     */
    public String globalType;
}
