package com.hisense.hipos.plu;

import java.util.List;

/**
 * 商品信息
 *
 * @author xieliyan
 * @author guolina          2020-01-09 HIAPOSCMP-490 慧收银增加整单促销接口
 */

public class PluV2 {
    /**
     * 品牌编码
     */
    public String brandCode;
    /**
     * 品类编码
     */
    public String classCode;
    /**
     * 部门编码
     */
    public String depCode;
    /**
     * 部门ID
     */
    public String depId;
    /**
     * 行号
     */
    public int itemNo;
    /**
     * 页号
     */
    public int pageNo;
    /**
     * 商品编码
     */
    public String pluCode;
    /**
     * 促销接口返回
     */

    public List<PluDsc> pluDsc;

    /**
     * 商品ID
     */
    public String pluId;
    /**
     * 单价
     */

    public String price;
    /**
     * 数量
     */
    public String quantity;
    /**
     * 专柜编码
     */
    public String shopCode;
    /**
     * 专柜ID
     */
    public String shopId;
    /**
     * 应收金额
     */
    public String total;

    /**
     * 实收金额
     */
    public String totalRecv;
    /**
     * 商品条码
     */
    public String barCode;

//    /**
//     * 原始条码
//     */
//    public String pluIncode;

    /**
     * 商品条码
     */
    public String pluName;

    public String tagPrice;

    public String vipPrice;

}
