package com.hisense.hipos.user;

/**
 * 权限编码
 *
 * @author wangyaogang 2019-01-07 HIPOSAPP-851 用户账号权限控制优化
 * @author wangyaogang 2019-01-16 HIPOSAPP-936 功能权限由CMP5控制下发,尤其是【查询】和【报表】中的功能权限
 */
public class Privileges {

    /**
     * 设置权限编码
     */
    public static final String SETTING = "99";
    /**
     * 销售权限编码
     */
    public static final String SALE = "01";
    /**
     * 退货权限编码
     */
    public static final String SALE_RETURN = "02";
    /**
     * 报表
     */
    public static final String REPORT = "03";
    /**
     * 总交易报表
     */
    public static final String REPORT_SALE = "0301";
    /**
     * 收款员报表
     */
    public static final String REPORT_CASHIER = "0302";
    /**
     * 营业员报表
     */
    public static final String REPORT_CLERK = "0303";
    /**
     * 部门报表
     */
    public static final String REPORT_DEPARTMENT = "0304";
    /**
     * 部门营业员报表
     */
    public static final String REPORT_DEPARTMENT_CLERK = "0305";
    /**
     * 会员卡金额报表
     */
    public static final String REPORT_VIP_BALANCE = "0306";
    /**
     * 收款员预销售报表
     */
    public static final String REPORT_PRE_SALE = "0307";
    /**
     * 流水查询
     */
    public static final String QUERY_SALE = "0401";
    /**
     * 储值卡余额查询
     */
    public static final String QUERY_CARD_BALANCE = "0402";
    /**
     * 积分余额查询
     */
    public static final String QUERY_VIP_POINTS = "0403";

}
