/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.pos.payment.icbc;

import android.os.Bundle;

/**
 * 工行收单接口返回数据的基类。
 *
 * @author zhangsai 2018-11-27 HIPOSAPP-888
 */
abstract class ResultBase {

    protected Bundle bundle;    // 返回的数据

    /**
     * 设置接口返回数据。
     *
     * @param bundle 接口返回数据
     */
    void setBundle(Bundle bundle) {
        if (bundle != null) {
            this.bundle = bundle;
        } else {
            this.bundle = new Bundle();
        }
    }
}
