/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.payment.icbc.bean;

/**
 * 工行交易汇总 银行卡交易item中 卡组织对应的交易类型统计
 * @author lizhixin 20180710 HIPOSAPP-533 工行交易汇总数据解析实体类
 */
public class StOrgItemTransItem {

    /**
     * 交易类型，只支持以下统计(含已撤销)：
     * PURCHASE：银行卡消费
     * INTEGRAL_PURCHASE：积分消费
     * INSTALLMENT：分期付款
     * REFUND：隔日退货
     * INTEGRAL_REFUND：积分退货
     * PREAUTHEND ：预授权确认
     * POS_VOID：当日撤销(仅包含以上六支交易)
     */
    public String trans_name;

    /**
     * 该卡组织下当类型交易的汇总金额（人民币），单位：分。包含已撤销和退货的金额。
     */
    public int trans_amt;

    /**
     * 该卡组织下当类型交易的有效笔数。包含已撤销的交易
     */
    public int trans_cnt;

}
