/***************************************************************************************************
 * Copyright (c) 2003-2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/

package com.hisense.pos.payment.icbc.bean;

import java.util.ArrayList;

/**
 * 工行交易汇总 实体类最外层
 * @author lizhixin 20180710 HIPOSAPP-533 工行交易汇总数据解析实体类
 */
public class StResultOuter {

    /**
     * 汇总金额（人民币），单位：分。
     * 不包含撤销及已撤销交易。
     * 已经扣除了退货部分的金额。
     */
    public int amt;

    /**
     * 有效交易笔数。
     * 不包含撤销及已撤销交易
     */
    public int cnt;

    /**
     * 二维码相关交易
     */
    public ArrayList<StQRCodeItem> qrcode;

    /**
     * 银行卡相关交易
     */
    public ArrayList<StOrgItem> org;

}
