/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.pos.payment.ums;

/**
 * 银联商务交易ID。
 *
 * @author zhangsai    2018-11-26 HIPOSAPP-888
 * @author wangyaogang 2019-08-08 HIPOSAPP-1262 银联商务-调起微信/支付宝支付参数调整,TransId由【POS通】改为【扫一扫】
 * @author wangyaogang 2019-08-19 HIPOSAPP-1225  银联商务增加支付查询
 */
final class TransId {
    final static String CANCELLATION = "撤销";
    final static String CONSUME = "消费";
    final static String CONSUME_BY_PASSWORD = "凭密消费";
    //银行卡消费返回应该是凭密消费, 暂时兼容特殊情况
    final static String BANK_CARD_CONSUME = "银行卡收款";
    final static String POS_MASTER2 = "POS通";
    final static String POS_MASTER = "扫一扫";
    final static String REFUNDING = "退货";
    final static String WALLET_COUPON = "钱包优惠券";

    //用于重打印
    final static String REPRINT_RECEIPT = "交易明细";
    //用于查询交易明细
    final static String TRANS_DETAIL = "交易明细";
    final static String PRINT_TRANS_SUMMARY = "打印交易汇总";
    final static String QUERY_CARD_BALANCE = "余额查询";
    final static String SHIFT = "换班";
    final static String BATCH_NO = "班次查询";
    final static String QUERY_ORDER = "订单查询"; //主要用于pos通
}
