/***************************************************************************************************
 * Copyright (c) 2018 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.pos.payment.ums;

import android.app.Activity;

import com.hisense.pos.payment.IPaymentProvider;
import com.hisense.pos.payment.PayRequest;
import com.hisense.pos.payment.PaymentHandler;

/**
 * 银联商务收单应用的预付卡支付提供程序。
 *
 * @author zhangsai    2018-11-24 HIPOSAPP-888
 * @author wangyaogang 2019-08-19 HIPOSAPP-1225  银联商务增加支付查询
 */
public class UmsPrepayProvider extends UmsPaymentProvider implements IPaymentProvider {

    /**
     * 初始化一个 {@code UmsPrepayProvider} 的实例。
     *
     * @param activity Activity 活动
     */
    public UmsPrepayProvider(Activity activity) {
        super(activity, AppName.PREPAY_CARD);
    }

    /**
     * 消费。
     *
     * @param payRequest 交易金额
     */
    @Override
    public void pay(PayRequest payRequest, PaymentHandler handler) {
        super.pay(TransId.CONSUME, payRequest, TradeType.DEFAULT);
    }
}
