/***************************************************************************************************
 * Copyright (c) 2003-2019 青岛海信智能商用系统股份有限公司 版权所有
 **************************************************************************************************/
package com.hisense.database.sqlite;

import android.content.Context;

/**
 * SQLite 数据库结构提供程序的接口。
 *
 * @author zhangsai 2019-05-29 HIPOSAPP-1174
 */
public interface ISQLiteDatabaseProvider {
    /**
     * Context
     */
    Context context();

    /**
     * 获取数据库名称。
     */
    String getDatabaseName();

    /**
     * 获取数据库版本。
     */
    int version();
}
